<?php
namespace Incoviba\Common\Define\Query;

use Incoviba\Common\Define;

interface Update extends Define\Query
{
    public function table(string $table): Update;
    public function set(string|array $column_pairs): Update;
    public function where(string|array $conditions): Update;
    public function order(string|array $ordering): Update;
    public function limit(int $limit): Update;
}
